package com.lyg.application.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;

/**
 * 消息表;
 * @author : http://www.chiner.pro
 * @date : 2024-3-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "消息表",description = "")
@TableName("ta_message")
public class TaMessage implements Serializable,Cloneable{

    @ApiModelProperty(name = "预警Id",notes = "")
    @TableId(value = "message_id", type = IdType.ASSIGN_UUID)
    private String messageId ;

    @ApiModelProperty(name = "来源Id",notes = "")
    private String sourceId ;

    @NotBlank(message = "来源表名称不能为空")
    @ApiModelProperty(name = "来源表名称",notes = "")
    private String sourceName ;

    @ApiModelProperty(name = "内容",notes = "")
    private String contentSent ;

    @ApiModelProperty(name = "核查反馈",notes = "")
    private String remark ;

    @ApiModelProperty(name = "预警 waring  提示 prompt",notes = "预警 超过轮岗截止日期  提示提前一个月提醒")
    private String waringType ;

    @ApiModelProperty(name = "状态 1正常 0不正常",notes = "")
    private Integer status ;

    @ApiModelProperty(name = "创建人",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createUser ;

    @ApiModelProperty(name = "创建时间",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate ;

    @ApiModelProperty(name = "更新人",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUser ;

    @ApiModelProperty(name = "更新时间",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateDate ;

    @ApiModelProperty(name = "删除标志",notes = "1删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}