package com.lyg.application.util;

import com.lyg.application.DTO.ErrorDto;
import com.lyg.application.entity.TaIncompatible;
import com.lyg.application.entity.TaRotation;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

public class RuleDetail {

    public List<ErrorDto> planRuleType(List<TaIncompatible> taIncompatibleList, List<TaRotation> repelList) {

        List<ErrorDto> result = new ArrayList<>();

        //普通规则
        // 处理 taIncompatibleList
//        if (taIncompatibleList.size() != 0) {
            result.addAll(processTaIncompatibleList(taIncompatibleList));
//        }


        // 处理 repelList
//        if (repelList.size() != 0) {
            result.addAll(processTaRotationList(repelList));
//        }
        return result;


    }

    private Collection<? extends ErrorDto> processTaRotationList(List<TaRotation> repelList) {
        List<ErrorDto> resultList = new ArrayList<>();
        ErrorDto errorDto = new ErrorDto();

        // 当列表为空，直接添加一个具有默认信息的 ErrorDto
        if (repelList.isEmpty()) {
            errorDto.setRules("根据不相容设置这两个岗位是相容的");
            resultList.add(errorDto);
            return resultList;
        }

        // 对每个 item 进行处理，创建新的 ErrorDto 实例
        for (TaRotation item : repelList) {
            ErrorDto dto = new ErrorDto();
            // 设置属性
            dto.setRules("根据不相容设置这两个岗位是不相容的");
            dto.setCounterImpPositions(item.getCounterImpPositions());
            dto.setCounterImpPost(item.getCounterImpPostRotation());
            dto.setSpecificOrgName(item.getSpecificOrgName());
            dto.setSpecificOrgNum(item.getSpecificOrgNum());
            dto.setSpecificNameOrgRotation(item.getSpecificNameOrgRotation());
            dto.setOrgNumJobRotation(item.getOrgNumJobRotation());
            dto.setEmployeeNum(item.getEmployeeNum());
            dto.setEmployeeName(item.getEmployeeName());
            resultList.add(dto);
        }

        return resultList;

    }

    private Collection<? extends ErrorDto> processTaIncompatibleList(List<TaIncompatible> taIncompatibleList) {

        List<ErrorDto> resultList = new ArrayList<>();
        ErrorDto errorDto = new ErrorDto();

        // 当列表为空，直接添加一个具有默认信息的 ErrorDto
        if (taIncompatibleList.isEmpty()) {
            errorDto.setRules("根据不相容设置这两个岗位是相容的");
            resultList.add(errorDto);
            return resultList;
        }

        // 对每个 item 进行处理，创建新的 ErrorDto 实例
        for (TaIncompatible item : taIncompatibleList) {
            ErrorDto dto = new ErrorDto();
            dto.setRules("根据不相容设置这两个岗位是不相容的");
            dto.setPrimaryPost(item.getPrimaryPost());
            dto.setTargetPost(item.getTargetPost());
            resultList.add(dto);
        }

        return resultList;

    }

}
